package com.dsk.cscec.domain;

import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 成本汇总-项目汇总(CbProjectSummary)实体类
 *
 * @author
 * @since 2024-02-05
 */
@Data
public class CbProjectSummary implements Serializable {
    private static final long serialVersionUID = -88742338054342512L;
    /**
     * 主键id
     */
    private Integer id;
    /**
     * 父级id
     */
    private Integer parentId;
    /**
     * 层级
     */
    private Integer level;
    /**
     * 排序
     */
    private Integer sort;
    /**
     * 项目id
     */
    private Integer projectId;
    /**
     * 成本阶段( 0:标前成本、1:标后成本、2:转固成本)
     */
    private Integer cbStage;
    /**
     * 序号
     */
    private String number;
    /**
     * 名称
     */
    private String name;
    /**
     * 不含税成本合价
     */
    private String taxExclusiveTotal;
    /**
     * 成本税金合价
     */
    private String cbTaxesTotal;
    /**
     * 含税成本合价
     */
    private String taxInclusiveTotal;
    /**
     * 成本占比
     */
    private String cbProportion;
    /**
     * 含税成本平米指标
     */
    private String taxInclusivePmTarget;
    /**
     * 备注
     */
    private String remark;
    /**
     * 创建时间
     */
    private Date createTime;

}
