package com.dsk.cscec.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.dsk.cscec.domain.CbQuantitySummary;
import com.dsk.cscec.domain.bo.CbProjectBaseBo;
import com.dsk.cscec.mapper.CbQuantitySummaryMapper;
import com.dsk.cscec.service.ICbQuantitySummaryService;
import org.springframework.stereotype.Service;
import org.springframework.util.ObjectUtils;

import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.stream.Collectors;

/**
 * 成本-工料汇总基本表(CbQuantitySummary)表服务实现类
 *
 * @author lcl
 * @since 2024-02-05 11:06:56
 */
@Service
public class CbQuantitySummaryServiceImpl extends ServiceImpl<CbQuantitySummaryMapper, CbQuantitySummary> implements ICbQuantitySummaryService {

    @Override
    public Map<String, Object> subjectTree(CbProjectBaseBo bo) {
        Map<String, Object> resultMap = new HashMap<>();
        List<Map<String, Object>> list = baseMapper.selectSubject(bo);
        if (!ObjectUtils.isEmpty(list)) {
            Map<String, Map<String, Map<String, List<Map<String, Object>>>>> map = list.stream().collect(
                    Collectors.groupingBy(item -> item.get("one").toString(),
                            Collectors.groupingBy(item -> item.get("two").toString(),
                                    Collectors.groupingBy(item -> item.get("three").toString()))));
            resultMap.put("房建类成本科目", map);
        }
        int otherSubjectCount = baseMapper.selectOtherSubjectCount(bo);
        if (otherSubjectCount > 0) {
            resultMap.put("未归类项目", "other");
        }
        return resultMap;
    }

    @Override
    public List<String> monthList(CbProjectBaseBo bo) {
        return null;
    }
}

